SeExpr

Public Member Functions | Private Attributes | List of all members
ExprPreviewWidget Class Reference

`#include <ExprFileDialog.h>`

Inheritance diagram for ExprPreviewWidget:

## Public Member Functions
| ExprPreviewWidget (QWidget *parent)
void | makePreview (const QString &path)
void | reset ()

## Private Attributes
QLabel * | _pm

## Detailed Description

Definition at line 32 of file ExprFileDialog.h.

## Constructor & Destructor Documentation

## ◆ ExprPreviewWidget()

ExprPreviewWidget::ExprPreviewWidget | ( | QWidget * | parent | ) |

Definition at line 63 of file ExprFileDialog.cpp.

References _pm.

## Member Function Documentation

## ◆ makePreview()

void ExprPreviewWidget::makePreview | ( | const QString & | path | ) |

Definition at line 39 of file ExprFileDialog.cpp.

References _pm.

Referenced by ExprFileDialog::selChanged().

## ◆ reset()

void ExprPreviewWidget::reset | ( |  | ) |
| inline

Definition at line 36 of file ExprFileDialog.h.

References _pm.

Referenced by ExprFileDialog::resetPreview().

## Member Data Documentation

## ◆ _pm

QLabel* ExprPreviewWidget::_pm
| private

Definition at line 39 of file ExprFileDialog.h.

Referenced by ExprPreviewWidget(), makePreview(), and reset().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprFileDialog.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprFileDialog.cpp